# Uses of Class
serp.bytecode.ConvertInstruction

Packages that use ConvertInstruction
Package
Description
serp.bytecode
Bytecode Manipuation
serp.bytecode.visitor
Bytecode Visitor

## Uses of ConvertInstruction in serp.bytecode

Methods in serp.bytecode that return ConvertInstruction
Modifier and Type
Method
Description
`ConvertInstruction`
Code.`convert()`
Convert the top stack value to another type.
`ConvertInstruction`
ConvertInstruction.`setFromType(Class type)`
Set the type being converted from.
`ConvertInstruction`
ConvertInstruction.`setFromType(String type)`
Set the type being converted from.
`ConvertInstruction`
ConvertInstruction.`setFromType(BCClass type)`
Set the type being converted from.

## Uses of ConvertInstruction in serp.bytecode.visitor

Methods in serp.bytecode.visitor with parameters of type ConvertInstruction
Modifier and Type
Method
Description
`void`
BCVisitor.`enterConvertInstruction(ConvertInstruction obj)`
`void`
BCVisitor.`exitConvertInstruction(ConvertInstruction obj)`